import fire, os, sys

PROJECT_ROOT = os.path.abspath(os.path.join(os.path.dirname(__file__), os.pardir))
sys.path.append(PROJECT_ROOT)

# Import the specific main function you want to run
from src.llm_eval.preparation import generate_batches

if __name__ == "__main__":
    # Use the task-specific main function
    fire.Fire(generate_batches)
